Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xpath.axes
Class IteratorPool

    java.lang.Object
      |
      +--weblogic.apache.xpath.axes.IteratorPool

public class IteratorPool
extends java.lang.Object
implements java.io.Serializable

Pool of object of a given type to pick from to help memory usage

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Constructor Summary
`IteratorPool(weblogic.apache.xml.dtm.DTMIterator original)` Constructor IteratorPool

Method Summary
`void` | `freeInstance(weblogic.apache.xml.dtm.DTMIterator obj)` Add an instance of the given object to the pool
`weblogic.apache.xml.dtm.DTMIterator` | `getInstance()` Get an instance of the given object in this pool

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IteratorPool

    public IteratorPool(weblogic.apache.xml.dtm.DTMIterator original)

  Constructor IteratorPool

  Parameters:
    `original` - The original iterator from which all others will be cloned.

Method Detail

### getInstance

    public weblogic.apache.xml.dtm.DTMIterator getInstance()

  Get an instance of the given object in this pool

  Returns:
    An instance of the given object

### freeInstance

    public void freeInstance(weblogic.apache.xml.dtm.DTMIterator obj)

  Add an instance of the given object to the pool

  Parameters:
    `obj` - Object to add.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference